> ## Documentation Index
> Fetch the complete documentation index at: https://waberes.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Informasi Akun Anda

> Anda bisa menggunakan route API ini untuk mengecek status akun anda secara programmatically atau terprogram untuk tujuan otomasi renewal misalnya



## OpenAPI

````yaml /openapi.yaml get /api/v1/account/info
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Dokumentasi REST API untuk berinteraksi dengan layanan WABeres
    programmatically atau programmatically
  title: WABeres (Unofficial WhatsApp API Gateway)
  version: 0.0.1
servers:
  - url: https://waberes.fredoronan.web.id
security: []
paths:
  /api/v1/account/info:
    get:
      tags:
        - Accounts
      summary: Informasi Akun Anda
      description: >-
        Anda bisa menggunakan route API ini untuk mengecek status akun anda
        secara programmatically atau terprogram untuk tujuan otomasi renewal
        misalnya
      parameters:
        - description: API Key anda
          in: header
          name: X-API-Key
          required: true
          schema:
            type: string
        - description: >-
            Timestamp generate otomatis secara terprogram/programmatically,
            jangan manual
          in: header
          name: X-Timestamp
          required: true
          schema:
            type: string
        - description: Signature(METHOD + Path + timestamp + hashed(body))
          in: header
          name: X-Signature
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/v1.ApiSuccessResponse-v1_AccountInfoResponse
        '500':
          description: Internal Server Error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/v1.ApiErrResponse'
components:
  schemas:
    v1.ApiSuccessResponse-v1_AccountInfoResponse:
      properties:
        data:
          $ref: '#/components/schemas/v1.AccountInfoResponse'
        message:
          example: berhasil melakukan sesuatu
          type: string
        success:
          example: true
          type: boolean
      type: object
    v1.ApiErrResponse:
      properties:
        code:
          example: error code (sebatas kode error saja)
          type: string
        error:
          example: verbosed error message (keterangan error yang lebih detail)
          type: string
        success:
          example: false
          type: boolean
      type: object
    v1.AccountInfoResponse:
      properties:
        days_left:
          example: 30
          type: integer
        expiry_date:
          example: ''
          type: string
        initial_quota:
          example: '1'
          type: string
        plan:
          type: string
        plan_type:
          example: TIME_BASED
          type: string
        remaining_quota:
          example: '1'
          type: string
        session_id:
          example: <random_uuid>
          type: string
        start_date:
          example: ''
          type: string
        user_id:
          example: user_abcdefghij12345678z
          type: string
      type: object

````